package com.datacloudsec.utils;

import java.io.File;
import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;
import org.apache.log4j.Logger;

public class ProjectUtil {

   protected static Logger LOG = Logger.getLogger(ProjectUtil.class);


   public static File getProjectDir() throws UnsupportedEncodingException {
      File currFile = new File(URLDecoder.decode(ProjectUtil.class.getProtectionDomain().getCodeSource().getLocation().getFile(), "UTF-8"));
      String clsPath = currFile.getParentFile().getAbsolutePath();
      String projectPath = clsPath.substring(0, clsPath.lastIndexOf("WEB-INF"));
      LOG.debug("projectPath=" + projectPath);
      return new File(projectPath);
   }

   public static File getWebappDir() throws UnsupportedEncodingException {
      File webappDir = getProjectDir().getParentFile();
      LOG.debug("webappDir=" + webappDir.getAbsolutePath());
      return webappDir;
   }

   public static File getTomcatDir() throws UnsupportedEncodingException {
      File tomcatDir = getWebappDir().getParentFile();
      LOG.debug("tomcatDir=" + tomcatDir.getAbsolutePath());
      return tomcatDir;
   }
}
